Package com.sun.mail.dsn

# Class message_deliverystatus

java.lang.Object
com.sun.mail.dsn.message_deliverystatus

All Implemented Interfaces:
  `DataContentHandler`

public class message_deliverystatus extends Object implements DataContentHandler
DataContentHandler for message/delivery-status MIME type. Applications should not use this class directly, it's used indirectly through the JavaBeans Activation Framework.

Since:
  JavaMail 1.4

## Constructor Summary

Constructors
Constructor
Description
`message_deliverystatus()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getContent(DataSource ds)`
Return the content.
`Object`
`getTransferData(DataFlavor df, DataSource ds)`
return the Transfer Data of type DataFlavor from InputStream
`DataFlavor[]`
`getTransferDataFlavors()`
return the DataFlavors for this `DataContentHandler`
`void`
`writeTo(Object obj, String mimeType, OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### message_deliverystatus

public message_deliverystatus()

## Method Details

### getTransferDataFlavors

public DataFlavor[] getTransferDataFlavors()
return the DataFlavors for this `DataContentHandler`

Specified by:
  `getTransferDataFlavors` in interface `DataContentHandler`
Returns:
  The DataFlavors.

### getTransferData

public Object getTransferData(DataFlavor df, DataSource ds) throws IOException
return the Transfer Data of type DataFlavor from InputStream

Specified by:
  `getTransferData` in interface `DataContentHandler`
Parameters:
  `df` - The DataFlavor.
  `ds` - The DataSource corresponding to the data.
Returns:
  a Message object
Throws:
  `IOException`

### getContent

public Object getContent(DataSource ds) throws IOException
Return the content.

Specified by:
  `getContent` in interface `DataContentHandler`
Throws:
  `IOException`

### writeTo

public void writeTo(Object obj, String mimeType, OutputStream os) throws IOException

Specified by:
  `writeTo` in interface `DataContentHandler`
Throws:
  `IOException`